subroutine select(z0, z1, z2, z3)
complex(8) z0, z1, z2, z3, z
real(8) r0,r1,r2,rmax


! Selecteaza punctul cel mai indepartat de z3 si il elimina.
! Sorteza astfel ca z2 =z3:

r0 =abs(z3-z0)
r1 =abs(z3-z1)
r2 =abs(z3-z2)

rmax =max(r0, r1, r2)


if(rmax ==r0) then ! exclude z0
z0 =z1
z1 =z2

elseif(rmax ==r1) then	! exclude z1
!z0 =z0
z1 =z2

else	! exclude z2
!z0 =z0; z1 =z1
endif

z2 =z3
end
